get_pfn_range_for_nid
Prev | More Memory Management Functions | Next

## Name

get_pfn_range_for_nid — Return the start and end page frames for a node

## Synopsis

`void __meminit get_pfn_range_for_nid (` | unsigned int | nid,
| unsigned long * | start_pfn,
| unsigned long * | end_pfn`)`;

## Arguments

`nid`

  The nid to return the range for. If MAX_NUMNODES, the min and max PFN are returned.

`start_pfn`

  Passed by reference. On return, it will have the node start_pfn.

`end_pfn`

  Passed by reference. On return, it will have the node end_pfn.

## Description

It returns the start and end page frame of a node based on information provided by an arch calling `add_active_range`. If called for a node with no available memory, a warning is printed and the start and end PFNs will be 0.

Prev | Up | Next
push_node_boundaries | Home | absent_pages_in_range